<?php
	session_start();
	if($_SESSION['subadm'])
	{
		$userid=1111;
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
	    
	date_default_timezone_set("asia/Kolkata");
	$datetime= Date("Y-m-d - h:i:s A");
	$time= Date("h:i:s A");
	$date= Date("Y-m-d");
		
	$query8="select * from wallet where Userid='$userid' order by Id desc";
	$result8=mysqli_query($con,$query8);
	$data8=mysqli_fetch_array($result8);
	$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 .content{background:; margin:0; padding:0; }
 .content h3{margin-left:20px; }
 .viewcomp{background:#996420; height:40px; width:1300px; margin:50 0 0 20px;}
 .viewcomp h3{line-height:40px; margin-left:20px; color:white;}
 .quisrch{float:right; margin-right:20px;}
 .content #tbl2{width:97%; margin:10 0 0 20px;}
 #slct{width:170px; height:30px; font-size:17px;}
 #t1{ width:1300px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
 #blue{color:blue; font-size:18px;}
 #green{color:#63E65B; font-size:18px;}
 #red{color:red; font-size:18px;}
 #black{color:black; font-size:18px;}
 #t1 td a{text-decoration:none; color:#0606fb;}
 
 
 .foot{float:left; margin:10 0 0 100px; width:1350px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
	<div class="content">
		<h3>List Of Complains</h3><hr>
		<form method="post">
		<table border="0" cellpadding="5" >
			<tr>
				<td><p>From Date: <input type="date" id="slct" name="fdate" value="<?php echo $date; ?>"/></p></td>
				<td><p>To Date: <input type="date" id="slct" name="ldate" value="<?php echo $date; ?>"></p></td>
				<td>
				    <select name="status" id="slct">
				        <option>Pending</option>
				        <option>Reviewed</option>
				        <option>Solved</option>
				    </select>
				</td>
				<td><input type="submit" name="submit" value="Search" id="slct"></td>
			</tr>
		</table>
		</form>
		<div class="viewcomp">
			<h3>View Complains</h3>
		</div>
		<table border="1" cellpadding="5" id="t1">
			<tr>
				<th>Complain Id</th>
				<th>Recharge Id</th>
				<th>Complain Date</th>
				<th>Complain Time</th>
				<th>Complain User</th>
				<th>Messege</th>
				<th>Solve Date</th>
				<th>Solve Time</th>
				<th>Response Messege</th>
				<th>Status</th>
				<th>Action</th>
			</tr>
		<?php
			include'connection.php';
			if(isset($_POST['submit']))
			{
			    $status=$_POST['status'];
			    $fdate=$_POST['fdate'];
			    $ldate=$_POST['ldate'];
			    
			    $query="select * from complain where Status='$status' and Compdate>='$fdate' and Compdate<='$ldate'";
			}
			else
			{
		    	$query="select * from complain where Status='Pending' or Status='Reviewed'";
			}
			$result=mysqli_query($con,$query);
		
			while($row=mysqli_fetch_array($result))
			{
				if($row['Status']=="Pending")
				{
					$color="blue";
				}
				elseif($row['Status']=="Reviewed")
				{
					$color="black";
				}
				elseif($row['Status']=="Solved")
				{
					$color="green";
				}
				else
				{
					$color='red';
				}
				$uid=$row['Userid'];
				$strPayTo= substr($uid,"0","2");
	            if($strPayTo==50)
	            {
	                $TableName="retailer";
	            }
	            elseif($strPayTo==20)
	            {
	                $TableName="distributer";
	            }
	            elseif($strPayTo==30)
	            {
	                $TableName="masterdis";
	            }
	            elseif($strPayTo==11)
	            {
	                $TableName="admin";
	            }
	            
	            $quGetName="select * from $TableName where Userid='$uid'";
	            $reGetName=mysqli_query($con,$quGetName);
	            $dataGetName=mysqli_fetch_array($reGetName);
	            $GetPayToName=$dataGetName['Name'];
	            $GetPayToMobile=$dataGetName['Mobile'];
	            $_SESSION['unmae']=$GetPayToName;
	            $_SESSION['mobile']=$GetPayToMobile;
	            $_SESSION['subject']=$row['Rechargeid'];
				
				echo "<tr>";
					echo "<td>".$row['Id']."</td>";
					echo "<td><a href='check_status.php?id=".$row['Rechargeid']."' target='_blank'>".$row['Rechargeid']."</a></td>";
					echo "<td>".$row['Compdate']."</td>";
					echo "<td>".$row['CompTime']."</td>";
					echo "<td>".$GetPayToName." [".$row['Userid']."]</td>";
					echo "<td>".$row['Messege']."</td>";
					echo "<td>".$row['Solvedate']."</td>";
					echo "<td>".$row['SolveTime']."</td>";
					echo "<td>".$row['Responsemsg']."</td>";
					echo "<td id='".$color."'>".$row['Status']."</td>";
					echo "<td>";
					        if($row['Status']=="Reviewed")
					        {
					            echo "<a href='complainsolve.php?id=".$row['Id']."' target='_blank'>Response</a>";
					        }
					        else
					        {
					            echo "<a href='ReviewedComplain.php?id=".$row['Id']."'>Reviewed</a>";
					        }
					echo "</td>";
				echo "</tr>";
			}
			
			
				if(isset($_POST['submit']))
				{
				    exit();
				}
		?>
		</table>
	</div>
		<div class="viewcomp">
			<h3>Today's Complains History</h3>
		</div>
		<table border="1" cellpadding="5" id="t1">
			<tr>
				<th>Complain Id</th>
				<th>Recharge Id</th>
				<th>Complain Date</th>
				<th>Complain Time</th>
				<th>Complain User</th>
				<th>Messege</th>
				<th>Solve Date</th>
				<th>Solve Time</th>
				<th>Response Messege</th>
				<th>Status</th>
			</tr>
		<?php   
			$query="select * from complain where Status='Solved' and Compdate>='$date'";
			$result=mysqli_query($con,$query);
		
			while($row=mysqli_fetch_array($result))
			{
				if($row['Status']=="Pending")
				{
					$color="blue";
				}
				elseif($row['Status']=="Reviewed")
				{
					$color="black";
				}
				elseif($row['Status']=="Solved")
				{
					$color="green";
				}
				else
				{
					$color='red';
				}
				$uid=$row['Userid'];
				$strPayTo= substr($uid,"0","2");
	            if($strPayTo==50)
	            {
	                $TableName="retailer";
	            }
	            elseif($strPayTo==20)
	            {
	                $TableName="distributer";
	            }
	            elseif($strPayTo==30)
	            {
	                $TableName="masterdis";
	            }
	            elseif($strPayTo==11)
	            {
	                $TableName="admin";
	            }
	            
	            $quGetName="select * from $TableName where Userid='$uid'";
	            $reGetName=mysqli_query($con,$quGetName);
	            $dataGetName=mysqli_fetch_array($reGetName);
	            $GetPayToName=$dataGetName['Name'];
	            $GetPayToMobile=$dataGetName['Mobile'];
	            $_SESSION['unmae']=$GetPayToName;
	            $_SESSION['mobile']=$GetPayToMobile;
	            $_SESSION['subject']=$row['Rechargeid'];
				
				echo "<tr>";
					echo "<td>".$row['Id']."</td>";
					echo "<td><a href='check_status.php?id=".$row['Rechargeid']."' target='_blank'>".$row['Rechargeid']."</a></td>";
					echo "<td>".$row['Compdate']."</td>";
					echo "<td>".$row['CompTime']."</td>";
					echo "<td>".$GetPayToName." [".$row['Userid']."]</td>";
					echo "<td>".$row['Messege']."</td>";
					echo "<td>".$row['Solvedate']."</td>";
					echo "<td>".$row['SolveTime']."</td>";
					echo "<td>".$row['Responsemsg']."</td>";
					echo "<td id='".$color."'>".$row['Status']."</td>";
				echo "</tr>";
			}
			
			
		?>
		</table>
	</div>
</body>
</html>